#!/usr/bin/env bash

# Copyright (c) 2011 Cloudera, Inc. All rights reserved.

set -e
set -x

# Explicitly add RHEL5/6 and SLES11 locations to path
export PATH=/usr/kerberos/sbin:/usr/lib/mit/sbin:/usr/sbin:$PATH

KEYTAB_OUT=$1
shift

ktutil <<EOF
$(for KEYTAB_IN in "$@"; do echo "rkt $KEYTAB_IN"; done)
wkt $KEYTAB_OUT
EOF

chmod 600 $KEYTAB_OUT
