// Copyright (c) 2011-2012 Cloudera, Inc.  All rights reserved.
/**
 * Contains JavaScript that interacts with the Settings page.
 */
define([
    "cloudera/layout/AutoOverFlow2"
], function(AutoOverFlow2) {
	return function(options){
		// Flag to prevent accidentally leaving this page.
		var isDirty = false;

		$(".DataTable input").change(function(){ isDirty = true; });
		$(".DataTable textarea").change(function(){ isDirty = true; });
		$(".DataTable select").change(function(){ isDirty = true; });
		$("#updateSettings").click(function(){ isDirty = false; });

		$("#settingsContainer").AutoOverFlow2();

		jQuery(window).bind('beforeunload', function(){
			if (isDirty) {
				return options.saveTip;
			}
		});
	};
});
